## toxiproxy 1.2.1+dfsg1

=== Makefile ===
NAME=toxiproxy
VERSION=$(shell cat VERSION)
DEB=pkg/$(NAME)_$(VERSION)_amd64.deb
GODEP_PATH=$(shell pwd)/Godeps/_workspace
ORIGINAL_PATH=$(shell echo $(GOPATH))
COMBINED_GOPATH=$(GODEP_PATH):$(ORIGINAL_PATH)

.PHONY: packages deb test linux darwin

all: deb linux darwin docker
deb: $(DEB)
darwin: tmp/build/toxiproxy-darwin-amd64 
linux: tmp/build/toxiproxy-linux-amd64

build:
	GOPATH=$(COMBINED_GOPATH) go build -o toxiproxy

clean:
	rm tmp/build/*
	rm *.deb

test:
	GOMAXPROCS=4 GOPATH=$(COMBINED_GOPATH) go test -v

tmp/build/toxiproxy-linux-amd64:
	GOOS=linux GOARCH=amd64 GOPATH=$(COMBINED_GOPATH) go build -o $(@)

tmp/build/toxiproxy-darwin-amd64:
	GOOS=darwin GOARCH=amd64 GOPATH=$(COMBINED_GOPATH) go build -o $(@)

docker:
	docker build --tag="shopify/toxiproxy:$(VERSION)" .
	docker tag -f shopify/toxiproxy:$(VERSION) shopify/toxiproxy:latest
	docker push shopify/toxiproxy:$(VERSION)
	docker push shopify/toxiproxy:latest

$(DEB): tmp/build/toxiproxy-linux-amd64
	fpm -t deb \
		-s dir \
		--name "toxiproxy" \
		--version $(VERSION) \
		--license MIT \
		--no-depends \
		--no-auto-depends \
		--architecture amd64 \
		--maintainer "Simon Eskildsen <simon.eskildsen@shopify.com>" \
		--description "TCP proxy to simulate network and system conditions" \
		--url "https://github.com/Shopify/toxiproxy" \
		$<=/usr/bin/toxiproxy \
		./share/toxiproxy.conf=/etc/init/toxiproxy.conf

=== debian/changelog ===
toxiproxy (1.2.1+dfsg1-3) unstable; urgency=medium

  * Remove /var/log/toxiproxy on purge

 -- Alexandre Viau <alexandre@alexandreviau.net>  Tue, 25 Aug 2015 23:20:04 -0400

toxiproxy (1.2.1+dfsg1-2) unstable; urgency=medium

  * Don't fail during AssertDeltaTime (Closes: #795515)

 -- Alexandre Viau <alexandre@alexandreviau.net>  Mon, 17 Aug 2015 15:05:05 -0400

toxiproxy (1.2.1+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #794889)

 -- Alexandre Viau <alexandre@alexandreviau.net>  Thu, 06 Aug 2015 13:11:26 -0400

=== debian/control ===
Source: toxiproxy
Section: net
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <alexandre@alexandreviau.net>
Build-Depends: debhelper (>= 9),
               dh-golang,
               dh-systemd,
               golang-go,
               golang-gopkg-tomb.v1-dev,
               golang-mux-dev | golang-github-gorilla-mux-dev,
               golang-logrus-dev | golang-github-sirupsen-logrus-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/toxiproxy.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/toxiproxy.git
Homepage: https://github.com/Shopify/toxiproxy

Package: toxiproxy-dev
Architecture: all
Section: devel
Depends: ${misc:Depends},
         golang-gopkg-tomb.v1-dev,
         golang-mux-dev | golang-github-gorilla-mux-dev,
         golang-logrus-dev | golang-github-sirupsen-logrus-dev
Built-Using: ${misc:Built-Using}
Description: proxy to simulate network and system conditions - dev package
 Toxiproxy is a framework for simulating network conditions. It's made
 specifically to work in testing, CI and development environments,
 supporting deterministic tampering with connections, but with support
 for randomized chaos and customization. Toxiproxy is the tool you need
 to prove with tests that your application doesn't have single points of failure
 .
 This is the dev package.

Package: toxiproxy
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser
Built-Using: ${misc:Built-Using}
Description: proxy to simulate network and system conditions
 Toxiproxy is a framework for simulating network conditions. It's made
 specifically to work in testing, CI and development environments,
 supporting deterministic tampering with connections, but with support
 for randomized chaos and customization. Toxiproxy is the tool you need
 to prove with tests that your application doesn't have single points of failure

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

TMP     = $(CURDIR)/debian/$(PACKAGE)

export DH_GOPKG := github.com/Shopify/toxiproxy

%:
	dh $@ --buildsystem=golang --with=golang,systemd

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/toxiproxy-$1\.tar\.gz/,repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*$// \
  https://github.com/Shopify/toxiproxy/tags .*/v([\d\.]*)\.tar\.gz

## toxiproxy 2.0.0+dfsg1

=== Makefile ===
SERVER_NAME=toxiproxy-server
CLI_NAME=toxiproxy-cli
VERSION=$(shell cat VERSION)
DEB=pkg/toxiproxy_$(VERSION)_amd64.deb
GODEP_PATH=$(shell pwd)/Godeps/_workspace
ORIGINAL_PATH=$(shell echo $(GOPATH))
COMBINED_GOPATH=$(GODEP_PATH):$(ORIGINAL_PATH)

.PHONY: packages deb test linux darwin windows

build:
	GOPATH=$(COMBINED_GOPATH) go build -ldflags="-X github.com/Shopify/toxiproxy.Version=git-$(shell git rev-parse --short HEAD)" -o $(SERVER_NAME) ./cmd
	GOPATH=$(COMBINED_GOPATH) go build -ldflags="-X github.com/Shopify/toxiproxy.Version=git-$(shell git rev-parse --short HEAD)" -o $(CLI_NAME) ./cli

all: deb linux darwin windows
deb: $(DEB)

darwin: tmp/build/$(SERVER_NAME)-darwin-amd64 tmp/build/$(CLI_NAME)-darwin-amd64
linux: tmp/build/$(SERVER_NAME)-linux-amd64 tmp/build/$(CLI_NAME)-linux-amd64
windows: tmp/build/$(SERVER_NAME)-windows-amd64.exe tmp/build/$(CLI_NAME)-windows-amd64.exe

release: all docker

clean:
	rm -f tmp/build/*
	rm -f $(SERVER_NAME)
	rm -f $(CLI_NAME)
	rm -f *.deb

test:
	GOMAXPROCS=4 GOPATH=$(COMBINED_GOPATH) go test -v -race ./...

tmp/build/$(SERVER_NAME)-linux-amd64:
	GOOS=linux GOARCH=amd64 GOPATH=$(COMBINED_GOPATH) go build -ldflags="-X github.com/Shopify/toxiproxy.Version=$(VERSION)" -o $(@) ./cmd

tmp/build/$(SERVER_NAME)-darwin-amd64:
	GOOS=darwin GOARCH=amd64 GOPATH=$(COMBINED_GOPATH) go build -ldflags="-X github.com/Shopify/toxiproxy.Version=$(VERSION)" -o $(@) ./cmd

tmp/build/$(SERVER_NAME)-windows-amd64.exe:
	GOOS=windows GOARCH=amd64 GOPATH=$(COMBINED_GOPATH) go build -ldflags="-X github.com/Shopify/toxiproxy.Version=$(VERSION)" -o $(@) ./cmd

tmp/build/$(CLI_NAME)-linux-amd64:
	GOOS=linux GOARCH=amd64 GOPATH=$(COMBINED_GOPATH) go build -ldflags="-X github.com/Shopify/toxiproxy.Version=$(VERSION)" -o $(@) ./cli

tmp/build/$(CLI_NAME)-darwin-amd64:
	GOOS=darwin GOARCH=amd64 GOPATH=$(COMBINED_GOPATH) go build -ldflags="-X github.com/Shopify/toxiproxy.Version=$(VERSION)" -o $(@) ./cli

tmp/build/$(CLI_NAME)-windows-amd64.exe:
	GOOS=windows GOARCH=amd64 GOPATH=$(COMBINED_GOPATH) go build -ldflags="-X github.com/Shopify/toxiproxy.Version=$(VERSION)" -o $(@) ./cli

$(DEB): tmp/build/$(SERVER_NAME)-linux-amd64 tmp/build/$(CLI_NAME)-linux-amd64
	fpm -t deb \
		-s dir \
		-p tmp/build/ \
		--name "toxiproxy" \
		--version $(VERSION) \
		--license MIT \
		--no-depends \
		--no-auto-depends \
		--architecture amd64 \
		--maintainer "Simon Eskildsen <simon.eskildsen@shopify.com>" \
		--description "TCP proxy to simulate network and system conditions" \
		--url "https://github.com/Shopify/toxiproxy" \
		$(word 1,$^)=/usr/bin/$(SERVER_NAME) \
		$(word 2,$^)=/usr/bin/$(CLI_NAME) \
		./share/toxiproxy.conf=/etc/init/toxiproxy.conf

docker:
	docker build --tag="shopify/toxiproxy:$(VERSION)" .
	docker tag -f shopify/toxiproxy:$(VERSION) shopify/toxiproxy:latest
	docker push shopify/toxiproxy:$(VERSION)
	docker push shopify/toxiproxy:latest

=== debian/changelog ===
toxiproxy (2.0.0+dfsg1-6) unstable; urgency=medium

  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Feb 2018 23:03:39 -0500

toxiproxy (2.0.0+dfsg1-5) unstable; urgency=medium

  * point vcs-* urls to packages subgroup.

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 15:19:53 -0500

toxiproxy (2.0.0+dfsg1-4) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Remove Built-Using from arch:all -dev package

  [ Alexandre Viau ]
  * Move to salsa.debian.org

 -- Alexandre Viau <aviau@debian.org>  Tue, 08 Aug 2017 22:44:40 -0400

toxiproxy (2.0.0+dfsg1-3) unstable; urgency=medium

  * Depend on new packages (Closes: #828767)

 -- Alexandre Viau <aviau@debian.org>  Thu, 30 Jun 2016 14:12:28 +0200

toxiproxy (2.0.0+dfsg1-2) unstable; urgency=medium

  * Depend on new packages (Closes: #828767):
    - golang-mux-dev -> golang-github-gorilla-mux-dev
    - golang-logrus-dev -> golang-github-sirupsen-logrus-dev

 -- Alexandre Viau <aviau@debian.org>  Tue, 28 Jun 2016 20:40:50 +0200

toxiproxy (2.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version to 3.9.8
  * Change Vcs-Git and Vcs-Browser to secure (https) URLs
  * Switch to using XS-Go-Import-Path
  * Refresh dont-fail-time-delta.patch
  * Create new toxiproxy-cli binary package
  * Change my email to @debian.org
  * Create toxiproxy-cli manpage

 -- Alexandre Viau <aviau@debian.org>  Sun, 26 Jun 2016 13:55:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,30 @@
 Section: net
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Alexandre Viau <alexandre@alexandreviau.net>
+Uploaders: Alexandre Viau <aviau@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9),
+               dh-exec,
                dh-golang,
                dh-systemd,
                golang-go,
                golang-gopkg-tomb.v1-dev,
-               golang-mux-dev | golang-github-gorilla-mux-dev,
-               golang-logrus-dev | golang-github-sirupsen-logrus-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/toxiproxy.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/toxiproxy.git
+               golang-github-gorilla-mux-dev,
+               golang-github-codegangsta-cli-dev,
+               golang-github-sirupsen-logrus-dev
+Standards-Version: 3.9.8
+Vcs-Git: https://salsa.debian.org/go-team/packages/toxiproxy.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/toxiproxy
 Homepage: https://github.com/Shopify/toxiproxy
+XS-Go-Import-Path: github.com/Shopify/toxiproxy
 
 Package: toxiproxy-dev
 Architecture: all
 Section: devel
 Depends: ${misc:Depends},
          golang-gopkg-tomb.v1-dev,
-         golang-mux-dev | golang-github-gorilla-mux-dev,
-         golang-logrus-dev | golang-github-sirupsen-logrus-dev
-Built-Using: ${misc:Built-Using}
+         golang-github-gorilla-mux-dev,
+         golang-github-codegangsta-cli-dev,
+         golang-github-sirupsen-logrus-dev
 Description: proxy to simulate network and system conditions - dev package
  Toxiproxy is a framework for simulating network conditions. It's made
  specifically to work in testing, CI and development environments,
@@ -44,3 +47,19 @@
  supporting deterministic tampering with connections, but with support
  for randomized chaos and customization. Toxiproxy is the tool you need
  to prove with tests that your application doesn't have single points of failure
+ .
+ This package contains the server.
+
+Package: toxiproxy-cli
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+Built-Using: ${misc:Built-Using}
+Description: proxy to simulate network and system conditions - CLI
+ Toxiproxy is a framework for simulating network conditions. It's made
+ specifically to work in testing, CI and development environments,
+ supporting deterministic tampering with connections, but with support
+ for randomized chaos and customization. Toxiproxy is the tool you need
+ to prove with tests that your application doesn't have single points of failure
+ .
+ This package contains the command-line interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=golang --with=golang,systemd
